From d027d0a4eb8ebe44d42a4839ee80eae181b76e16 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Mar 26 2022 09:57:45 +0000
Subject: [PATCH 11/28] [iceweasel]: housekeeping


---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 3048a21..0350de4 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -43,6 +43,7 @@
 #  - Remove Google API keys and usage
 #  - Disable Mozilla telemetry and crash reporting
 #    (good manners because of all of the other patching we're doing)
+#  - do not compile/upload remote debug symbols
 
 
 # NOTE: This PKGBUILD is kept in-sync with arch{,arm,32}, as closely as possible,
@@ -61,7 +62,7 @@ pkgname=iceweasel
 epoch=1
 pkgver=98.0
 pkgrel=1
-pkgrel+=.parabola1
+pkgrel+=.parabola6
 _brandingver=98.0-1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 arch=(x86_64)
@@ -87,7 +88,7 @@ optdepends=('networkmanager: Location detection via available WiFi networks'
             'hunspell-en_US: Spell checking, American English'
             'xdg-desktop-portal: Screensharing with Wayland')
 replaces=('firefox')
-options=(!emptydirs !makeflags !strip !lto !debug) # FIXME: make debug package
+options=(!emptydirs !makeflags !strip !lto !debug) # FIXME: can we still make debug package?
 source=(https://archive.mozilla.org/pub/firefox/releases/$pkgver/source/firefox-$pkgver.source.tar.xz{,.asc}
         $pkgname.desktop identity-icons-brand.svg)
 source=(${source[*]/identity-icons-brand.svg/})
@@ -135,10 +136,10 @@ validpgpkeys+=('3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40') # bill-auger
 # _mozilla_api_key=e05d56db0a694edc8b5aaebda3f2db6a                          # anti-feature
 
 
-# PGO requires networking
-_should_skip_pgo_armv7h=1 # disable for armv7h - always
-_should_skip_pgo_i686=1   # disable for i686   - always
-_should_skip_pgo_x86_64=0 # disable for x86_64 - sometimes for libremakepkg
+# disable PGO (necessary for 32-bit)
+_should_skip_pgo_armv7h=1 # disable for armv7h
+_should_skip_pgo_i686=1   # disable for i686
+_should_skip_pgo_x86_64=0 # disable for x86_64
 eval "_should_skip_pgo=\$_should_skip_pgo_${CARCH}"
 
 
@@ -179,15 +180,15 @@ _check_patching() {
   # URI protocol handlers
   local uri_handlers=uriloader/exthandler/HandlerList.jsm
   local webmails='google|yahoo'
-  grep   'name:'          $uri_handlers | grep    '"KiwiIRC",' && \
-  ! grep 'name:'          $uri_handlers | grep -v '"KiwiIRC",' && \
-  ! grep -E "($webmails)" $uri_handlers                        || \
-  ! echo "9003-FSDG-misc.patch needs reworking"                || \
+  grep   'name:'          $uri_handlers | grep    '"KiwiIRC",' &> /dev/null && \
+  ! grep 'name:'          $uri_handlers | grep -v '"KiwiIRC",' &> /dev/null && \
+  ! grep -E "($webmails)" $uri_handlers                        &> /dev/null || \
+  ! echo "9003-FSDG-misc.patch needs reworking"                             || \
   return 1
 
   # Remote Settings
   local settings_server='firefox.settings.services.mozilla.com'
-  ! grep -qr $settings_server                                                   || \
+  ! grep -qr $settings_server &> /dev/null                                      || \
   ! echo '9001-FSDG-sync-remote-settings-with-local-dump.patch needs reworking' || \
   return 1
 
@@ -323,24 +324,25 @@ END
 
   echo "applying parabola branding"
   local brandingsrcdir="${srcdir}"/${pkgname}-${_brandingver/-*}
-  local brandingdestdir=browser/branding/${pkgname}
+  local brandingdestdir="${srcdir}"/firefox-${pkgver}/browser/branding/${pkgname}
+  local tippytopdir="${srcdir}"/firefox-${pkgver}/browser/components/newtab/data/content/tippytop
   local blank_svg='<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16"></svg>'
   rm -rf -- ${brandingdestdir}
   cp -aT -- ${brandingsrcdir}/branding ${brandingdestdir}
 
-  # produce icons
-  for i in 16 22 24 32 48 64 128 192 256 384; do
-    rsvg-convert -w ${i} -h ${i} "${brandingsrcdir}"/branding/${pkgname}_icon.svg \
-                 -o "${brandingdestdir}"/default${i}.png
-  done
+  pushd "${brandingdestdir}" > /dev/null
 
-  pushd "${brandingdestdir}"
-  cp                                         iceweasel_logo.svg content/aboutlogins.svg
-  cp                                         iceweasel_logo.svg content/about-logo.svg
-  convert -background none -geometry 192x192 iceweasel_logo.svg content/about-logo.png
-  convert -background none -geometry 384x384 iceweasel_logo.svg content/about-logo@2x.png
+  # generate icons, logos, banners
+  for size in 16 22 24 32 48 64 128 256
+  do  rsvg-convert -w ${size} -h ${size}  iceweasel_icon.svg -o default${size}.png
+  done
+  cp                                      iceweasel_logo.svg    content/aboutlogins.svg
+  cp                                      iceweasel_logo.svg    content/about-logo.svg
+  rsvg-convert -w 192 --keep-aspect-ratio iceweasel_logo.svg -o content/about-logo.png
+  rsvg-convert -w 384 --keep-aspect-ratio iceweasel_logo.svg -o content/about-logo@2x.png
   echo ${blank_svg}                                           > content/blank.svg
-  popd
+
+  popd > /dev/null
 
   # custom new tab page
   # FIXME: the newtab page (aka "Start Page") has changed significantly
@@ -353,13 +355,12 @@ END
   #        once it is working well, all of these comments should be removed
   #          and any unused branding components may be deleted from the branding package
   # Put "Start Page" branding images in the source code
-  #install -m644 -t browser/base/content/abouthome -- \
-  #  "${brandingsrcdir}/branding"/{drm-free,gnu_headshadow,parabola-banner}.png
-  #install -m644 -t browser/extensions/onboarding/content/img -- \
+  # install -m644 -t browser/base/content/abouthome -- \
+  #   "${brandingsrcdir}/branding"/{drm-free,gnu_headshadow,parabola-banner}.png
+  # install -m644 -t browser/extensions/onboarding/content/img -- \
   #   "${brandingsrcdir}/branding/watermark.svg"
 
   # process default Top Sites and their icons
-  local tippytopdir=browser/components/newtab/data/content/tippytop
   find ${tippytopdir} -type f      \
        -not -name 'wikipedia-org*' \
        -not -name 'top_sites.json' \
@@ -392,7 +393,7 @@ END
 
   ## searchengines ##
 
-  pushd browser/components/search/extensions
+  pushd browser/components/search/extensions > /dev/null
 
   # Patch search-engines configs
   sed -i 's|https://duckduckgo.com/|https://html.duckduckgo.com/html/|' ddg/manifest.json
@@ -410,7 +411,7 @@ END
        -not -name wikipedia \
        -exec rm -frv {} \;
 
-  popd
+  popd > /dev/null
 
 
   ## libre patching ##
@@ -455,6 +456,7 @@ END
   # Remove remaining non-free bits
   echo "applying 9004-FSDG-misc.patch"
   patch -Np1 --no-backup-if-mismatch -i "${srcdir}"/9004-FSDG-misc.patch
+  rm toolkit/crashreporter/tools/upload_symbols.py
 
 
   ## patching sanity checks ##
@@ -469,7 +471,7 @@ build() {
 
   export MOZ_NOSPAM=1
   export MOZBUILD_STATE_PATH="$srcdir/mozbuild"
-  export MOZ_ENABLE_FULL_SYMBOLS=1
+  # export MOZ_ENABLE_FULL_SYMBOLS=1            # anti-feature
   export MACH_USE_SYSTEM_PYTHON=1
 
   # LTO needs more open files
@@ -580,8 +582,8 @@ END
   echo "Building optimized browser..."
   ./mach build
 
-  echo "Building symbol archive..."
-  ./mach buildsymbols
+  # echo "Building symbol archive..." # anti-feature
+  # ./mach buildsymbols               # anti-feature
 }
 
 package() {

